<?php include_once("../lib/control.seguridad.php"); ?>
<?php
    include_once('../inc/api_cred.php');
    
	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>Ingresar</button>";
	
	$id = "";
	$rut = "";
	$pasaporte = "";		
	$nombre = "";
	$apellido = "";	
	$fecha_contratacion = "";		
	$telefono = "";	
	$email = "";	
	$id_nacionalidad = "";	
	$marca = "";
	$id_pantalla = 0;	
	$usuario = "";	
	$contrasena = "";		
	$hide = "d-none";
	
    if($_POST){
        
		$hide = "";
		$url = $apiUrl . '/public/obtenerpersona';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"]));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);

		$id = $array[0]->id;
		$rut = $array[0]->rut;
		$pasaporte = $array[0]->pasaporte;		
		$nombre = $array[0]->nombre;	
		$apellido = $array[0]->apellido;
		$fecha_contratacion = "";	
		if(!empty(trim($array[0]->fecha_contratacion))){
			$fecha_contratacion = date("d-m-Y", strtotime(trim($array[0]->fecha_contratacion)));
		}
		
		$telefono = $array[0]->telefono;
		$email = $array[0]->email;		
		$id_nacionalidad = $array[0]->id_nacionalidad;		
		$marca = $array[0]->marca;		
		$id_pantalla = $array[0]->id_pantalla;				
		$usuario = $array[0]->usuario;	
		$contrasena = $array[0]->contrasena;
		curl_close($ch); 


		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>Editar</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
 
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">   
  <!-- JQUERY UI -->  
  <link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />  
  <style>
	  .content-header h4{ 
		  font-size: 20px
	  }
      .badge-success{
		  font-size:11px;		  
	  }	  
	  #example{
		  font-size:11px;
	  }
	  #example2{
		  font-size:11px;
	  } 
	  #example3{
		  font-size:11px;
	  }
	  #example4{
		  font-size:11px;
	  }	  
	  #example6{
		  font-size:11px;
	  }	  	  
      label{
		  font-size:11px;		  
	  } 	  
      .dataTables_wrapper { font-size: 10px }

	.nav-item .nav-link{
		padding:5px 10px 5px 10px;
	}	  
	
 	
  </style>    
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row">
          <div class="col-sm-6">
            <h4>Usuario</h4>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-header d-flex p-0">
				</div>
				<div class="card-body">
				  <div class="form-group input-group-sm">
					<label>Rut :</label>
					<input type="text" class="form-control control-rut" id="txtRut" value="<?php echo $rut ?>" maxlength="13">
				  </div>
				  <div class="form-group input-group-sm">
					<label>Pasaporte :</label>
					<input type="text" class="form-control control-number" id="txtPasaporte" value="<?php echo $pasaporte ?>" maxlength="20">
				  </div>				  
				  <div class="form-group input-group-sm">
					<label>Nombres:</label>
					<input type="text" class="form-control control-text txtToUpper" id="txtNombre" value="<?php echo $nombre ?>" maxlength="50">
				  </div>
				  <div class="form-group input-group-sm">
					<label>Apellidos:</label>
					<input type="text" class="form-control control-text txtToUpper" id="txtApellido" value="<?php echo $apellido ?>" maxlength="50">
				  </div>	
				  <div class="form-group">
					<label>Fecha de Contrataci&oacute;n:</label>
					<input type="text" class="form-control" id="txtFecha_contratacion" value="<?php echo $fecha_contratacion ?>" readonly >
					<small class="form-text text-muted d-none" id="mensajeFechaContrato">Usuario no cuenta con fecha de contrataci&oacute;n en sistema.</small>
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Marcaje Laboral :</label>
					<select class="form-control" id="txtMarca">
						<option value="1">Si, marca turno laboral</option>
						<option value="2">Art&iacute;culo 22, C&oacute;digo del trabajo</option>						
					</select>
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Nacionalidad :</label>
					<select class="form-control" id="txtNacionalidad">
						<option value="0">Seleccione...</option>
					</select>
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Tel&eacute;fono :</label>
					<input type="text" class="form-control control-number" id="txtTelefono" value="<?php echo $telefono ?>" >
				  </div>				
				  <div class="form-group input-group-sm">
					<label>E-mail:</label>
					<input type="text" class="form-control" id="txtEmail" value="<?php echo $email ?>">
				  </div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>
					<input type="hidden" class="form-control" id="txtId" value="<?php echo $id ?>" readonly>					
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-header d-flex p-0">			
				</div>
				<div class="card-body">	
					<ul class="nav nav-tabs ml-auto p-2  justify-content-center <?php echo $hide ?>" id="menu-turno">
					  <li class="nav-item">
						<a class="nav-link nav-departamento active" href="#contacto" data-toggle="tab">Inicio de Sesi&oacute;n</a>
					  </li>
					  <li class="nav-item">
						<a class="nav-link nav-equipo" href="#turno" data-toggle="tab">Turno</a>
					  </li>
					  <li class="nav-item">
						<a class="nav-link nav-equipo" href="#depto" data-toggle="tab">&Aacute;rea/Centro</a>
					  </li>		
					  <li class="nav-item">
						<a class="nav-link nav-equipo" href="#cargo" data-toggle="tab">Cargo</a>
					  </li>						  
					</ul>	
				
					<div class="tab-content p-0">
					  <div class="tab-pane active" id="contacto">
					      <label>Informaci&oacute;n de Inicio de Sesi&oacute;n</label>
						  <div class="form-group input-group-sm">
							<label>Usuario :</label>
							<input type="text" class="form-control control-text" id="txtUsuario" value="<?php echo $usuario ?>">
						  </div>				
						  <div class="form-group input-group-sm">
							<label>Contrase&ntilde;a :</label>
							<input type="password" class="form-control" id="txtContrasena" value="<?php echo $contrasena ?>">
						  </div>		 	 			  
					  </div>
					  <div class="tab-pane" id="turno">
					      <label>Asignaci&oacute;n de Turno Laboral de Trabajador</label>	<br />				  
						  <button type='button' class='btn btn-info btn-xs' id='btnBuscarTurno' name='btnBuscarTurno'>BUSCAR TURNO</button>							
						  <input class="form-control" type="hidden" id ="txtTurno" value="0" />					  
						  <table id="example" class="table table-bordered table-striped">
							<thead>
							<tr>			
							  <th>TURNO</th>				
							  <th></th>					  
							</tr>
							</thead>			
						  </table>						  
					  </div>  
					  <div class="tab-pane" id="depto">
					      <label>&Aacute;rea y Centro en el que el trabajador ejercer&aacute; labores</label>					  
						  <div class="form-group input-group-sm">
						    <label>&Aacute;rea :</label>
							<select class="form-control" id="txtSucursal">
							</select>
						  </div>					  
						  <div class="form-group input-group-sm">
							<label>Centro :</label>
							<select class="form-control" id="txtDepartamento">
								<option value="0">Seleccione...</option>
							</select>
						  </div>
						  <button type='button' class='btn btn-info btn-xs' id='btnEnviarDepartamento' name='btnEnviarDepartamento'>INGRESAR</button>	
						  <table id="example2" class="table table-bordered table-striped">
							<thead>
							<tr>			
							  <th>Centro</th>				
							  <th></th>
							  <th></th>							  
							</tr>
							</thead>			
						  </table>						  
					  </div> 	
					  
					  <div class="tab-pane" id="cargo">
					      <label>Cargo(s) Trabajador</label>	
						  <div class="row mt-2">
							<div class="col-md-12">
								<div class="form-group input-group-sm">
									<label>Cargo :</label>
									<select class="form-control" id="txtCargo">
										<option value="0">Seleccione...</option>
									</select>
								</div>								
							</div>
							<div class="col-md-4">
							<button type='button' class='btn btn-info btn-block btn-xs' id='btnAregarCargo' name='btnAregarCargo'>AGREGAR</button>	
							</div>							
						  </div>						  				  
						  <div class="row mt-2">
							<div class="col-md-12">
								<table id="example6" class="table table-bordered table-striped">
									<thead>
									<tr>			
									<th>Cargo</th>				
									<th></th>							  
									</tr>
									</thead>			
								</table>	
							</div>
						  </div>					  
					  </div> 					  

					</div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer <?php echo $hide ?>">
				  <div class="form-group input-group-sm">
					<label>Pantalla Principal :</label>
					<select class="form-control" id="txtPerfil">
						<option value="0">Seleccione...</option>
					</select>
				  </div>
				  <table id="example3" class="table table-bordered table-striped">
					<thead>
					<tr>			
					  <th><input type='checkbox' class='btn-checkbox-todo' ></th>				
					  <th>PERFIL</th>			  
					</tr>
					</thead>			
				  </table>				  
				</div>
            </div>
          </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>

	<div id="modal-delete" class="modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">POWERTIME MENSAJE SISTEMA</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			<p>&iquest; Desea Eliminar Registro ?</p>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
			<button type="button" class="btn btn-info" id="btn-confirmar">Confirmar</button>
		  </div>
		</div>
	  </div>
	</div>  
	
	<div id="modal-turno" class="modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">LISTADO DE TURNOS</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
              <table id="example4" class="table table-bordered table-striped">
                <thead>
                <tr>			
                  <th>DESCRIPCION</th>	
				  <th></th>					  
                </tr> 
                </thead>			
              </table>			 
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
		  </div>
		</div>
	  </div>
	</div>  

	<div id="modal-primario" class="modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">POWERTIME MENSAJE SISTEMA</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			<p>&iquest; Desea Asignar Departamento como Primario ?</p>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
			<button type="button" class="btn btn-info" id="btn-confirmar-primario">Confirmar</button>
		  </div>
		</div>
	  </div>
	</div>  
	
	<div class="modal" tabindex="-1" role="dialog"  id="modal-default-eliminar">
	  <div class="modal-dialog" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">Eliminar Cargo Persona</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body text-center">
				&iquest; Desea Eliminar cargo de persona ?
		  </div>
		  <div class="modal-footer">
		    <button type="button" class="btn btn-danger btn-sm" id="btnEliminarCargo" >Eliminar</button>
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
		  </div>
		</div>
	  </div>
	</div>		
	
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>

<script src="../plugins/toastr/toastr.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>
<!-- JQUERY UI --> 
<script src="../plugins/jQueryUI/jquery-ui.js"></script>
<script>

  $(function () {
	
	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'yy/mm/dd',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);	
	
	 if ($("#txtId").val() == null || $("#txtId").val().length == 0 || /^\s*$/.test($("#txtId").val())){
		 $("#mensajeFechaContrato").removeClass("d-none");
	 }else{
		 $("#mensajeFechaContrato").addClass("d-none");
		 $("#txtFecha_contratacion").datepicker({
			dateFormat: "dd-mm-yy",
			changeMonth: true,
			changeYear: true,
			yearRange: "1900:2100",
			onSelect: function(dateText, inst) {
				modificarFechaContrato();
			}		
		 }) 		
	}

	function modificarFechaContrato(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/actualizarfechacontratacion",
			data : JSON.stringify({
				id:$("#txtId").val(),
				fecha_contratacion:convertDateFormat($("#txtFecha_contratacion").val()),										
			}),
			success: function(data) {						
				if(parseInt(data[0]) > 0){					
					toastr.success("Fecha Contrataci&oacute;n Modificada", "POWERTIME");
				}
			}
		})		
	}
	  
    $('#example').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });	  
		
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });		
		
    $('#example3').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": false,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });
		
    $('#example4').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });	
		
    $('#example6').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });	

	$("#btnBuscarTurno").click(function(){
		listarTurno();
		$('#modal-turno').modal("show");
	});
	
	$("#example4").on('click','.btn-editar', function() {
		$("#txtTurno").val($(this).parents("tr").find("td:eq(1)").find("input").val());
		$('#modal-turno').modal("toggle");
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarturnopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val(),
				id_turno:$("#txtTurno").val()					
			}),
			success: function(data) {
				if(parseInt(data[0]) > 0){				
					toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					listarRegistro();
					$("#txtTurno").val(0);
				}
			}
		})			
	});		
	
	function listarTurno(){

		$('#example4').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/turno",		
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
												
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-editar'>Editar</button>";
					  
					  $('#example4').dataTable().fnAddData( [						  
						dados[i][j].descripcion,	
						boton + "<input type='hidden' value ='"+dados[i][j].id+"' />"							
					  ]);
					}
				}
			}
		});

	}
	
	  /*
    $(document).bind("contextmenu",function(e){
      return false;
    });	
    */
	  
    $('.txtToUpper').keyup(function(){
        $(this).val($(this).val().toUpperCase());
    });	 	  
	
    comboPerfil();
	function comboPerfil(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/perfiles",	
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtPerfil').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
				$('#txtPerfil').val(<?php echo $id_pantalla ?>);
			}
		});			
	}	
	 
	
	listarPerfiles();
	function listarPerfiles(){

		$('#example3').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/listarperfilespersona",	
			data : JSON.stringify({
				idpersona:$("#txtId").val()			
			}),			
			success: function(dados)
			{
			    //console.log(dados);
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
					  var checkbox = "<input type='checkbox' class='btn-checkbox' >";
					  if(parseInt(dados[i][j].activo) == 1){ checkbox = "<input type='checkbox' class='btn-checkbox' checked >"; }
						
					  $('#example3').dataTable().fnAddData( [
                        checkbox,					  
						dados[i][j].descripcion + "<input type='hidden' value ='"+dados[i][j].id+"' />"							
					  ]);
					}
				}
			}
		});

	}		
	
    $("#example3").on('click','.btn-checkbox', function() {
          var idperfil = $(this).parents("tr").find("td:eq(1)").find("input").val();
	
		  if($(this).is(":checked")){
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarperfilpersona",
				data : JSON.stringify({
					id_persona:$("#txtId").val(),
					id_perfil:idperfil				
				}),
				success: function(data) {
					if(parseInt(data[0]) > 0){
						toastr.success("Permiso de Acceso Otorgado Exitosamente", "POWERTIME");
					}
				}
			}) 		  
		  }else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/eliminarperfilpersona",
				data : JSON.stringify({
					id_persona:$("#txtId").val(),
					id_perfil:idperfil				
				}),
				success: function(data) {
					if(parseInt(data[0]) > 0){
						toastr.error("Permiso de Acceso a Modulo Revocado", "POWERTIME");
					}
				}
			}) 	
		  }

    });	
	
	$(".btn-checkbox-todo").click(function(){	
		if($(this).is(":checked")){
			jQuery($('#example3').dataTable().fnGetNodes()).each(function () { 
				$(this).find("td:eq(0)").find('input[type="checkbox"]').attr("checked", true);
				var idperfil = $(this).find("td:eq(1)").find("input").val();
				$.ajax({
					type:'POST',
					contentType: 'application/json',
					dataType: "json",
					crossDomain: true,
					headers: {
						'Content-Type': 'application/json'
					},
					url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarperfilpersona",
					data : JSON.stringify({
						id_persona:$("#txtId").val(),
						id_perfil:idperfil				
					}),
					success: function(data) {
						if(parseInt(data[0]) > 0){
							toastr.success("Permiso de Acceso Otorgado Exitosamente", "POWERTIME");
						}
					}
				}) 				
			}); 	
		}else{
			jQuery($('#example3').dataTable().fnGetNodes()).each(function () { 
				$(this).find("td:eq(0)").find('input[type="checkbox"]').attr("checked", false);
				var idperfil = $(this).find("td:eq(1)").find("input").val();
				$.ajax({
					type:'POST',
					contentType: 'application/json',
					dataType: "json",
					crossDomain: true,
					headers: {
						'Content-Type': 'application/json'
					},
					url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/eliminarperfilpersona",
					data : JSON.stringify({
						id_persona:$("#txtId").val(),
						id_perfil:idperfil				
					}),
					success: function(data) {
						if(parseInt(data[0]) > 0){
							toastr.error("Permiso de Acceso a Modulo Revocado", "POWERTIME");
						}
					}
				}) 				
			}); 			
		}
	});	
	
	$(".control-rut").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9 Kk .-]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 
	
	$(".control-number").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	
	
	/*
	$(".control-text").bind('keypress', function(event) {
	  var regex = new RegExp("^[a-zA-Z ñÑ]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 
*/
    $('#txtMarca').val(<?php echo $marca ?>);
	combo();
	function combo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/nacionalidad",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtNacionalidad').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
				$('#txtNacionalidad').val(<?php echo $id_nacionalidad ?>);
			}
		});	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/sucursal",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtSucursal').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
				departamento();
			}
		});			
	}

	$("#txtSucursal").change(function () {
		departamento();
    });

	function departamento(){
		$('#txtDepartamento').empty();	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerdepartamentosucursal",
			data : JSON.stringify({
				id_sucursal: $('#txtSucursal').val(),								
			}),			
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtDepartamento').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
				listarRegistro();
			}
		});			
	}	

	function validarEmail(valor) {
		if (/^(([^<>()[\]\.,;:\s@\"]+(\.[^<>()[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i.test(valor)){
			return true;
		} else {
			return false;
		}
	}	
		
	  
	$("#btnEnviar").click(function(){

		if( $("#txtNombre").val() == null || $("#txtNombre").val().length == 0 || /^\s+$/.test($("#txtNombre").val()) ){
			toastr.warning("Debe ingresar Nombre de Persona", "POWERTIME");
            return false;
		}
		else if( $("#txtApellido").val() == null || $("#txtApellido").val().length == 0 || /^\s+$/.test($("#txtApellido").val()) ){
			toastr.warning("Debe ingresar Apellido de Persona", "POWERTIME");
            return false;
		}
		else if( parseInt($("#txtNacionalidad").val()) == 0){
			toastr.warning("Debe seleccionar Nacionalidad", "POWERTIME");
            return false;
		}	
	/*	else if( $("#txtEmail").val() == null || $("#txtEmail").val().length == 0 || /^\s+$/.test($("#txtEmail").val()) ) {
			toastr.warning("Debe Ingresar E-mail", "CCB-SOPORTE");
			return false;
		}
		else if( !validarEmail($("#txtEmail").val()) ) {
			toastr.warning("Debe Ingresar E-mail V&aacute;lido", "CCB-SOPORTE");
			return false;
		}*/			
		else if( $("#txtUsuario").val() == null || $("#txtUsuario").val().length == 0 || /^\s+$/.test($("#txtUsuario").val()) ){
			toastr.warning("Debe ingresar Nombre de Usuario", "POWERTIME");
            return false;
		}			
		else{
			
	 
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarusuario",
				data : JSON.stringify({
					rut:$("#txtRut").val(),
					pasaporte:$("#txtPasaporte").val(),					
					nombre:$("#txtNombre").val(),
					apellido:$("#txtApellido").val(),					
					telefono:$("#txtTelefono").val(),	
					email:$("#txtEmail").val(),	
					id_nacionalidad:$("#txtNacionalidad").val(),	
					marca:$("#txtMarca").val(),						
					usuario:$("#txtUsuario").val(),	
					contrasena:$("#txtContrasena").val()					
				}),
				success: function(data) {
					if(parseInt(data[0]) == 0){
						toastr.warning("Ha habido un error, por favor revise la informacion ingresada.", "POWERTIME");
					} else if(parseInt(data[0]) == 2) {					
						toastr.warning("Persona existente en sistema!", "POWERTIME");
					} else {
						//if(parseInt(data[0].id) > 0){
							$("#txtId").val(data[0].id);
							$("#menu-turno").removeClass("d-none");
						//}						
						toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					}
				}
			})
		}

	});

	$('#txtNombre').keyup(function(e){
		generarNombreUsuario();
	});
	$('#txtApellido').keyup(function(e){
		generarNombreUsuario();
	});	
	function generarNombreUsuario(){
		var array = $("#txtApellido").val().split(" ");
        $("#txtUsuario").val($("#txtNombre").val().charAt(0)+"."+ array[0]);
        $("#txtUsuario").val($("#txtUsuario").val().toLowerCase());		
	}

	$("#btnEditar").click(function(){

		if( $("#txtNombre").val() == null || $("#txtNombre").val().length == 0 || /^\s+$/.test($("#txtNombre").val()) ){
			toastr.warning("Debe ingresar Nombre de Persona", "POWERTIME");
            return false;
		}
		else if( $("#txtApellido").val() == null || $("#txtApellido").val().length == 0 || /^\s+$/.test($("#txtApellido").val()) ){
			toastr.warning("Debe ingresar Apellido de Persona", "POWERTIME");
            return false;
		}
		else if( parseInt($("#txtApellido").val()) == 0){
			toastr.warning("Debe seleccionar Nacionalidad", "POWERTIME");
            return false;
		}
		else if( $("#txtUsuario").val() == null || $("#txtUsuario").val().length == 0 || /^\s+$/.test($("#txtUsuario").val()) ){
			toastr.warning("Debe ingresar Nombre de Usuario", "POWERTIME");
            return false;
		}		
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/actualizarusuario",
				data : JSON.stringify({
					id:$("#txtId").val(),
					rut:$("#txtRut").val(),
					pasaporte:$("#txtPasaporte").val(),					
					nombre:$("#txtNombre").val(),
					apellido:$("#txtApellido").val(),					
					telefono:$("#txtTelefono").val(),	
					email:$("#txtEmail").val(),	
					id_nacionalidad:$("#txtNacionalidad").val(),	
					marca:$("#txtMarca").val(),						
					usuario:$("#txtUsuario").val(),	
					contrasena:$("#txtContrasena").val()					
				}),
				success: function(data) {
				   // alert(xhr.responseText);
					if(parseInt(data[0]) == 0){
						toastr.warning("Error editando usuario", "POWERTIME");
					} else {
					    toastr.success("Usuario Editado Exitosamente", "POWERTIME");
					}
				}
			})
		}

	});
	
	
	listarRegistro();
	function listarRegistro(){

		$('#example').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/turnopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-eliminar'>Eliminar</button>";
					  $('#example').dataTable().fnAddData( [
						dados[i][j].descripcion,	
						boton  + "<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}

	
	listarRegistroCargo();
	function listarRegistroCargo(){

		$('#example6').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/mostrarpersonacargo",
			data : JSON.stringify({
				id_persona:$("#txtId").val()					
			}),			
			success: function(dados)
			{
				$('#example6').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-eliminar'>Eliminar</button>";
					  $('#example6').dataTable().fnAddData( [
						dados[i][j].cargo,	
						boton  + "<input type='hidden' value ='"+dados[i][j].idcargopersona+"' />"
					  ]);
					}
				}
			}
		});

	}	

	var idEliminar;	
	$("#example6").on('click','.btn-eliminar', function() {			
	    idEliminar = $(this).parents("tr").find("td:eq(1)").find("input").val();
		$("#modal-default-eliminar").modal("show");
	});	

	$("#btnEliminarCargo").click(function(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/eliminarcargopersona",
			data : JSON.stringify({
				id:idEliminar,								
			}),
			success: function(data) {
				if(parseInt(data[0]) > 0){
					$("#modal-default-eliminar").modal("toggle");					
					listarRegistroCargo();
				}
			}
		})
	});

	function listadoCargo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/cargo",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtCargo').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
			}
		});			
	}
	listadoCargo();

	$("#btnAregarCargo").click(function(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarcargopersona",
			data : JSON.stringify({
				id_persona:$('#txtId').val(),
				id_cargo:$("#txtCargo").val()					
			}),
			success: function(data) {				
				if(parseInt(data[0]) > 0){
					toastr.success("Registro Ingresado Exitosamente", "POWERTIME");		
					listarRegistroCargo();		
				}
			}
		})
	});

    var idModulo = 1;		
	$("#example").on('click','.btn-eliminar', function() {			
		$('#modal-delete').modal("show");
	    idEliminar = $(this).parents("tr").find("td:eq(1)").find("input").val();
		idModulo = 1;
	});		
 
	
		
	$("#btn-confirmar").click(function(){
		if(idModulo == 1){
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/eliminarturnopersona",
				data : JSON.stringify({
					id:idEliminar,								
				}),
				success: function(data) {
					if(parseInt(data[0]) > 0){
						$('#modal-delete').modal("toggle");					
						listarRegistro();
					}
				}
			})
		}else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/eliminardepartamentopersona",
				data : JSON.stringify({
					id:idEliminar,								
				}),
				success: function(data) {
					if(parseInt(data[0]) > 0){
						$('#modal-delete').modal("toggle");					
						listarRegistroDep();
					}
				}
			})			
		}			
	});		
	
	$("#btnEnviarDepartamento").click(function(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresardepartamentopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val(),
				id_departamento:$("#txtDepartamento").val()					
			}),
			success: function(data) {
				if(parseInt(data[0]) > 0 || data[0]){				
					toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					listarRegistroDep();
				}
			}
		})		

	});
	
	
	listarRegistroDep();
	function listarRegistroDep(){

		$('#example2').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/departamentopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-eliminar'>Eliminar</button>";
					  var mensaje = "<button type='button' class='btn btn-info btn-xs btn-primario'>Asigna Primario</button>";
					  if(dados[i][j].primario == 1) { mensaje = "<span class='badge badge-success'>Primario</span>"; }
					  
					  $('#example2').dataTable().fnAddData( [
						dados[i][j].departamento,
                        mensaje,						
						boton  + "<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}

	$("#txtPerfil").change(function () {
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/actualizarpantallausuario",
			data : JSON.stringify({
				id:$("#txtId").val(),
				id_pantalla:$("#txtPerfil").val(),									
			}),
			success: function(data) {
				if(parseInt(data[0]) > 0){					
					toastr.success("Pantalla de Inicio asignada Exitosamente", "POWERTIME");
				}
			}
		})
    });
	
	$("#example2").on('click','.btn-eliminar', function() {			
		$('#modal-delete').modal("show");
	    idEliminar = $(this).parents("tr").find("td:eq(2)").find("input").val();
		idModulo = 2;
	});	

	$("#example2").on('click','.btn-primario', function() {			
		$('#modal-primario').modal("show");
	    idEliminar = $(this).parents("tr").find("td:eq(2)").find("input").val();
	});	

	$("#btn-confirmar-primario").click(function(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/departamentoprimariopersona",
			data : JSON.stringify({
				id:idEliminar,
				id_persona:$("#txtId").val(),				
			}),
			success: function(data, textStatus, xhr) {
				if(parseInt(xhr.status) == 201){
					$('#modal-primario').modal("toggle");					
					listarRegistroDep();
				}
			}
		})								
	});			

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtId").val(0);
		$("#txtRut").val("");
		$("#txtPasaporte").val("");					
		$("#txtNombre").val("");
		$("#txtApellido").val("");					
		$("#txtTelefono").val("");	
		$("#txtEmail").val("");	
		$("#txtNacionalidad").val(0);	
		$("#txtMarca").val(0);						
		$("#txtUsuario").val("");	
		$("#txtContrasena").val("");	
		$("#btnEditar_fecha").attr("disabled", true);
	}
	
	function convertDateFormat(numeros) {
        return numeros.split('-').reverse().join('-');
    }
	
 
	
});	 	
  
</script>

</body>
</html>
